Skip to main content
`Ctrl`+`K`

# NEP

SLEPc object that manages all solvers for nonlinear eigenvalue problems.

## Synopsis

    typedef struct _p_NEP* NEP;

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCreate()`

## Level

beginner

## Location

include/slepcnep.h

## Examples

src/nep/tutorials/ex22.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex42.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27f.F90

## Implementations

_p_NEP in include/slepc/private/nepimpl.h
NEP_CISS in src/nep/impls/ciss/nciss.c
NEP_INTERPOL in src/nep/impls/interpol/interpol.c
NEP_NARNOLDI in src/nep/impls/narnoldi/narnoldi.c
NEP_NLEIGS in src/nep/impls/nleigs/nleigs.h
NEP_RII in src/nep/impls/rii/rii.c
NEP_SLP in src/nep/impls/slp/slp.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages